# YouTube Downloader

## Try it in the Widget Center

Click this [url](https://app.myshell.ai/robot-workshop/widget/1782389744312332288) to try this widget and copy the Pro Config template.

## Usage

\<TODO: enter description here, and remove useless inputs>

**Input Parameters**

<table><thead><tr><th>Name</th><th>Type</th><th>Description</th><th>Default</th><th data-type="checkbox">Required</th></tr></thead><tbody><tr><td>vid</td><td><code>string</code></td><td>the video id for the video on youtube</td><td></td><td>true</td></tr></tbody></table>

**Output Parameters**

| Name | Type     | Description                                                                                                      | File Type |
| ---- | -------- | ---------------------------------------------------------------------------------------------------------------- | --------- |
| url  | `string` | The video that downloaded and saved as an online URL. This link is temporary, so please save it for your own use | `video`   |

**Output Example**

{% tabs %}
{% tab title="success" %}
{% code fullWidth="false" %}

```json
{ // input sgFq4ty8wSI
  "url": "https://cdn.myshell.ai/video/chat/embed_obj/40295/20240423/c7f30cc948dc449e884297211e553d9f.mp4"
}
```

{% endcode %}
{% endtab %}

{% tab title="fail" %}
{% code fullWidth="false" %}

```json
{
   "results": "<the example results of this widget>"
}
```

{% endcode %}
{% endtab %}
{% endtabs %}

## Detailed Guidelines


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.myshell.ai/ko/create/pro-config-mode/api-reference/widgets/37-youtube-downloader.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
